//! # Nostr Storage
//!
//! This crate will storage events into a database. It will also build index to
//! find events by their tags, kind and references.
//!
//! Although the trait is generic this implementation uses rocksDB internal,
//! which is a C++ database open source by Facebook. It is high level enough to
//! let this crate build the needed indexes to find events quickly.
#![deny(missing_docs, warnings)]
mod error;
mod rocksdb;

pub use crate::{error::Error, rocksdb::RocksDb};
